Subject: RE: [nfsv4] Fw: Global namespace and multiple file access protoco ls

From: "wurzl, mario" <[email-masked]>
Date: Thu, 8 Jan 2004 15:26:48 -0500

> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On 
> Behalf Of Jon Haswell
> Sent: Thursday, January 08, 2004 13:42
> To: [email-masked]
> Cc: Carl Burnett; [email-masked]
> Subject: Re: [nfsv4] Fw: Global namespace and multiple file 
> access protocols
> 
> 
> 
> 
> 
> 
> On Wednesday, 01/07/2004 at 01:28 PST, Brent Callaghan 
> <[email-masked]>
> wrote:
> 
> > Whether you force clients to go through the v4 server or 
> not, chances 
> > are that the namespace data is very likely to exist in some kind of 
> > name service that's external to the v4 servers.
> >
> > Hopefully we can think a bit outside the NFSv4 box and 
> consider market 
> > reality: multi-protocol NAS boxes.  It would be awfully nice if 
> > multi-protocol data access could also apply to a global filesystem 
> > namespace.
> >
> 
> I agree but I don't think anybody here is in disagreement. We 
> all, and I believe this includes Carl, want the global 
> namespace to reside in some external existing database, i.e. 
> LDAP or something similar. All Carl, Dave and I are saying is 
> that a V4 client should not directly access this when it gets 
> ERR_MOVED or the like. Probably nor should CIFS. However V3 
> automounter could as that fits better into the automounter 
> view of the world.

I agree with the idea that the v4 client should obtain referral information
from the v4 server only, with the global namespace residing in an external
DB, probably accessed through LDAP.
> 
> Jon Haswell
> IBM Research
> 
> 
> 
> _______________________________________________
> nfsv4 mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/nfsv4
> 

_______________________________________________
nfsv4 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/nfsv4

---

From: Julian Satran <[email-masked]>
Date: Mon, 19 Jan 2004 00:48:05 -0800

I think that a global-namespace instantiated somewhere and separated from 
the referral mechanism (the location information to keep the analogy with 
AFS that I also advocated in the past) is essential in achieving a single 
global namespace.  You can't build a single namespace out of location 
information alone.

I think that there are good arguments for building it on an existing name 
service.

However I am not so sure about what clients should have access  to.

If we think that the servers will continue to act as administrative domain 
managers they would likely be charged with controlling the visibilty of 
certain parts of the name-space by certain clients (as part of access 
control).  That argues for letting only servers access the namespace 
holders or we have a nontrivial synchronization issue between name servers 
and file servers and new set of issues for name servers (not to speak of a 
different security model).

For V2 and V3 with their weak security automounter access to the namespace 
should not be an issue.

Julo